From 4442fee4ddbdb0184c745bad9bb2a8ec4bade40e Mon Sep 17 00:00:00 2001
From: George Gelashvili and Tira Odhner <pair+ggelashvili+aodhner@pivotal.io>
Date: Fri, 10 Mar 2017 10:54:25 -0500
Subject: [PATCH 6/7] fix path to js under sources

---
 web/pgadmin/static/js/selection/clipboard.js                    | 2 +-
 web/pgadmin/templates/base.html                                 | 2 +-
 web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/web/pgadmin/static/js/selection/clipboard.js b/web/pgadmin/static/js/selection/clipboard.js
index a1675908..386ca0be 100644
--- a/web/pgadmin/static/js/selection/clipboard.js
+++ b/web/pgadmin/static/js/selection/clipboard.js
@@ -1,4 +1,4 @@
-define(['translate', 'alertify'], function (t, alertify) {
+define(['sources/translate', 'alertify'], function (t, alertify) {
   var clipboard = {
     copyTextToClipboard: function (text) {
       var textArea = document.createElement("textarea");
diff --git a/web/pgadmin/templates/base.html b/web/pgadmin/templates/base.html
index 487ed4c6..9c166128 100755
--- a/web/pgadmin/templates/base.html
+++ b/web/pgadmin/templates/base.html
@@ -158,7 +158,7 @@
                 },
                 paths: {
                     pgadmin: "{{ url_for('static', filename='js/pgadmin') }}",
-                    selection: "{{ url_for('static', filename='js/selection') }}",
+                    sources: "{{ url_for('static', filename='js') }}",
                     'pgadmin.alertifyjs': "{{ url_for('static', filename='js/alertify.pgadmin.defaults') }}",
                     "pgadmin.backgrid": "{{ url_for('static', filename='js/backgrid.pgadmin') }}",
                     'pgadmin.backform': "{{ url_for('static', filename='js/backform.pgadmin') }}",
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 28796ea1..d0ad28e9 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -2,7 +2,7 @@ define(
   [
     'jquery', 'underscore', 'underscore.string', 'alertify', 'pgadmin',
     'backbone', 'backgrid', 'codemirror', 'pgadmin.misc.explain',
-    'selection/clipboard',
+    'sources/selection/clipboard',
 
     'slickgrid', 'bootstrap', 'pgadmin.browser', 'wcdocker',
     'codemirror/mode/sql/sql', 'codemirror/addon/selection/mark-selection',
-- 
2.12.0

